diff --git a/fish/fish/includes/alias.fish b/fish/fish/includes/alias.fish
index 6590b4e..f655daa 100644
--- a/fish/fish/includes/alias.fish
+++ b/fish/fish/includes/alias.fish
@@ -1,7 +1,7 @@
alias reload! ". $HOME/.config/fish/config.fish"
alias b "bundle exec"
-alias ll "ls -lah"
+alias ll "ls -lAFh"
alias please "sudo"
# Ruby & Rails
diff --git a/git/gitignore b/git/gitignore
index e54c857..3944e47 100644
--- a/git/gitignore
+++ b/git/gitignore
@@ -1,5 +1,15 @@
+# OS X
.DS_Store
-.bundle
-.rake_tasks
+
+# Sublime Text
*.sublime-*
+
+# Bundler
+.bundle
vendor/gems
+
+# Zeus
+.zeus.sock
+
+# Vim
+*.swp
diff --git a/iterm2/com.googlecode.iterm2.plist b/iterm2/com.googlecode.iterm2.plist
index 3ff9b0e..7f80c80 100644
--- a/iterm2/com.googlecode.iterm2.plist
+++ b/iterm2/com.googlecode.iterm2.plist
@@ -1652,7 +1652,7 @@
NSColorPanelMode
6
NSNavLastRootDirectory
- ~/.dotfiles/iterm2/themes
+ ~/Documents
NSQuotedKeystrokeBinding
NSRepeatCountBinding
@@ -1690,9 +1690,9 @@
NSWindow Frame NSColorPanel
307 274 214 309 0 0 1440 878
NSWindow Frame Preferences
- 304 392 924 485 0 0 1440 900
+ 304 371 924 485 0 0 1440 878
NSWindow Frame iTerm Window 0
- 0 384 570 473 0 0 1440 878
+ 282 255 650 548 0 0 1440 878
NSWindow Frame iTerm Window 1
0 452 570 426 0 0 1440 878
NSWindow Frame iTerm Window 2
@@ -2242,11 +2242,11 @@
Name
Default
Non Ascii Font
- SourceCodePro-Regular 12
+ SourceCodePro-Regular 14
Non-ASCII Anti Aliased
Normal Font
- SourceCodePro-Regular 12
+ SourceCodePro-Regular 14
Option Key Sends
0
Prompt Before Closing 2
@@ -3133,6 +3133,723 @@
Working Directory
/Users/chez/Code
+
+ ASCII Anti Aliased
+
+ Ambiguous Double Width
+
+ Ansi 0 Color
+
+ Blue Component
+ 0.0
+ Green Component
+ 0.0
+ Red Component
+ 0.0
+
+ Ansi 1 Color
+
+ Blue Component
+ 0.47843137383460999
+ Green Component
+ 0.46666666865348816
+ Red Component
+ 0.94901961088180542
+
+ Ansi 10 Color
+
+ Blue Component
+ 0.60000002384185791
+ Green Component
+ 0.80000001192092896
+ Red Component
+ 0.60000002384185791
+
+ Ansi 11 Color
+
+ Blue Component
+ 0.40000000596046448
+ Green Component
+ 0.80000001192092896
+ Red Component
+ 1
+
+ Ansi 12 Color
+
+ Blue Component
+ 0.80000001192092896
+ Green Component
+ 0.60000002384185791
+ Red Component
+ 0.40000000596046448
+
+ Ansi 13 Color
+
+ Blue Component
+ 0.80000001192092896
+ Green Component
+ 0.60000002384185791
+ Red Component
+ 0.80000001192092896
+
+ Ansi 14 Color
+
+ Blue Component
+ 0.80000001192092896
+ Green Component
+ 0.80000001192092896
+ Red Component
+ 0.40000000596046448
+
+ Ansi 15 Color
+
+ Blue Component
+ 0.99999129772186279
+ Green Component
+ 0.99997437000274658
+ Red Component
+ 1
+
+ Ansi 2 Color
+
+ Blue Component
+ 0.60000002384185791
+ Green Component
+ 0.80000001192092896
+ Red Component
+ 0.60000002384185791
+
+ Ansi 3 Color
+
+ Blue Component
+ 0.40000000596046448
+ Green Component
+ 0.80000001192092896
+ Red Component
+ 1
+
+ Ansi 4 Color
+
+ Blue Component
+ 0.80000001192092896
+ Green Component
+ 0.60000002384185791
+ Red Component
+ 0.40000000596046448
+
+ Ansi 5 Color
+
+ Blue Component
+ 0.80000001192092896
+ Green Component
+ 0.60000002384185791
+ Red Component
+ 0.80000001192092896
+
+ Ansi 6 Color
+
+ Blue Component
+ 0.80000001192092896
+ Green Component
+ 0.80000001192092896
+ Red Component
+ 0.40000000596046448
+
+ Ansi 7 Color
+
+ Blue Component
+ 0.99999129772186279
+ Green Component
+ 0.99997437000274658
+ Red Component
+ 1
+
+ Ansi 8 Color
+
+ Blue Component
+ 0.0
+ Green Component
+ 0.0
+ Red Component
+ 0.0
+
+ Ansi 9 Color
+
+ Blue Component
+ 0.47843137383460999
+ Green Component
+ 0.46666666865348816
+ Red Component
+ 0.94901961088180542
+
+ Automatically Log
+
+ BM Growl
+
+ Background Color
+
+ Blue Component
+ 0.17647059261798859
+ Green Component
+ 0.17647059261798859
+ Red Component
+ 0.17647059261798859
+
+ Background Image Location
+
+ Blend
+ 0.30000001192092896
+ Blink Allowed
+
+ Blinking Cursor
+
+ Blur
+
+ Blur Radius
+ 2
+ Bold Color
+
+ Blue Component
+ 0.80000001192092896
+ Green Component
+ 0.80000001192092896
+ Red Component
+ 0.80000001192092896
+
+ Character Encoding
+ 4
+ Close Sessions On End
+
+ Columns
+ 80
+ Command
+
+ Cursor Color
+
+ Blue Component
+ 0.80000001192092896
+ Green Component
+ 0.80000001192092896
+ Red Component
+ 0.80000001192092896
+
+ Cursor Text Color
+
+ Blue Component
+ 0.17647059261798859
+ Green Component
+ 0.17647059261798859
+ Red Component
+ 0.17647059261798859
+
+ Cursor Type
+ 2
+ Custom Command
+ No
+ Custom Directory
+ No
+ Default Bookmark
+ No
+ Disable Printing
+
+ Disable Smcup Rmcup
+
+ Disable Window Resizing
+
+ Flashing Bell
+
+ Foreground Color
+
+ Blue Component
+ 0.80000001192092896
+ Green Component
+ 0.80000001192092896
+ Red Component
+ 0.80000001192092896
+
+ Guid
+ 805FF2C5-3F1B-4E6B-8407-96AA46CBF06E
+ Hide After Opening
+
+ Horizontal Spacing
+ 1
+ Idle Code
+ 0
+ Initial Text
+
+ Jobs to Ignore
+
+ rlogin
+ ssh
+ slogin
+ telnet
+
+ Keyboard Map
+
+ 0x2d-0x40000
+
+ Action
+ 11
+ Text
+ 0x1f
+
+ 0x32-0x40000
+
+ Action
+ 11
+ Text
+ 0x00
+
+ 0x33-0x40000
+
+ Action
+ 11
+ Text
+ 0x1b
+
+ 0x34-0x40000
+
+ Action
+ 11
+ Text
+ 0x1c
+
+ 0x35-0x40000
+
+ Action
+ 11
+ Text
+ 0x1d
+
+ 0x36-0x40000
+
+ Action
+ 11
+ Text
+ 0x1e
+
+ 0x37-0x40000
+
+ Action
+ 11
+ Text
+ 0x1f
+
+ 0x38-0x40000
+
+ Action
+ 11
+ Text
+ 0x7f
+
+ 0xf700-0x220000
+
+ Action
+ 10
+ Text
+ [1;2A
+
+ 0xf700-0x240000
+
+ Action
+ 10
+ Text
+ [1;5A
+
+ 0xf700-0x260000
+
+ Action
+ 10
+ Text
+ [1;6A
+
+ 0xf700-0x280000
+
+ Action
+ 11
+ Text
+ 0x1b 0x1b 0x5b 0x41
+
+ 0xf701-0x220000
+
+ Action
+ 10
+ Text
+ [1;2B
+
+ 0xf701-0x240000
+
+ Action
+ 10
+ Text
+ [1;5B
+
+ 0xf701-0x260000
+
+ Action
+ 10
+ Text
+ [1;6B
+
+ 0xf701-0x280000
+
+ Action
+ 11
+ Text
+ 0x1b 0x1b 0x5b 0x42
+
+ 0xf702-0x220000
+
+ Action
+ 10
+ Text
+ [1;2D
+
+ 0xf702-0x240000
+
+ Action
+ 10
+ Text
+ [1;5D
+
+ 0xf702-0x260000
+
+ Action
+ 10
+ Text
+ [1;6D
+
+ 0xf702-0x280000
+
+ Action
+ 11
+ Text
+ 0x1b 0x1b 0x5b 0x44
+
+ 0xf703-0x220000
+
+ Action
+ 10
+ Text
+ [1;2C
+
+ 0xf703-0x240000
+
+ Action
+ 10
+ Text
+ [1;5C
+
+ 0xf703-0x260000
+
+ Action
+ 10
+ Text
+ [1;6C
+
+ 0xf703-0x280000
+
+ Action
+ 11
+ Text
+ 0x1b 0x1b 0x5b 0x43
+
+ 0xf704-0x20000
+
+ Action
+ 10
+ Text
+ [1;2P
+
+ 0xf705-0x20000
+
+ Action
+ 10
+ Text
+ [1;2Q
+
+ 0xf706-0x20000
+
+ Action
+ 10
+ Text
+ [1;2R
+
+ 0xf707-0x20000
+
+ Action
+ 10
+ Text
+ [1;2S
+
+ 0xf708-0x20000
+
+ Action
+ 10
+ Text
+ [15;2~
+
+ 0xf709-0x20000
+
+ Action
+ 10
+ Text
+ [17;2~
+
+ 0xf70a-0x20000
+
+ Action
+ 10
+ Text
+ [18;2~
+
+ 0xf70b-0x20000
+
+ Action
+ 10
+ Text
+ [19;2~
+
+ 0xf70c-0x20000
+
+ Action
+ 10
+ Text
+ [20;2~
+
+ 0xf70d-0x20000
+
+ Action
+ 10
+ Text
+ [21;2~
+
+ 0xf70e-0x20000
+
+ Action
+ 10
+ Text
+ [23;2~
+
+ 0xf70f-0x20000
+
+ Action
+ 10
+ Text
+ [24;2~
+
+ 0xf729-0x20000
+
+ Action
+ 10
+ Text
+ [1;2H
+
+ 0xf729-0x40000
+
+ Action
+ 10
+ Text
+ [1;5H
+
+ 0xf72b-0x20000
+
+ Action
+ 10
+ Text
+ [1;2F
+
+ 0xf72b-0x40000
+
+ Action
+ 10
+ Text
+ [1;5F
+
+
+ Log Directory
+
+ Minimum Contrast
+ 0.0
+ Mouse Reporting
+
+ Name
+ tmux
+ Non Ascii Font
+ SourceCodePro-Regular 14
+ Non-ASCII Anti Aliased
+
+ Normal Font
+ SourceCodePro-Regular 14
+ Option Key Sends
+ 0
+ Prompt Before Closing 2
+ 0
+ Right Option Key Sends
+ 0
+ Rows
+ 25
+ Screen
+ -1
+ Scrollback Lines
+ 0
+ Scrollback With Status Bar
+
+ Scrollback in Alternate Screen
+
+ Selected Text Color
+
+ Blue Component
+ 0.80000001192092896
+ Green Component
+ 0.80000001192092896
+ Red Component
+ 0.80000001192092896
+
+ Selection Color
+
+ Blue Component
+ 0.31764706969261169
+ Green Component
+ 0.31764706969261169
+ Red Component
+ 0.31764706969261169
+
+ Semantic History
+
+ action
+ command
+ editor
+ com.sublimetext.2
+ text
+ subl -w \1:\2
+
+ Send Code When Idle
+
+ Set Local Environment Vars
+
+ Shortcut
+
+ Silence Bell
+
+ Smart Cursor Color
+
+ Smart Selection Rules
+
+
+ notes
+ Word bounded by whitespace
+ precision
+ low
+ regex
+ \S+
+
+
+ notes
+ C++ namespace::identifier
+ precision
+ normal
+ regex
+ ([a-zA-Z0-9_]+::)+[a-zA-Z0-9_]+
+
+
+ notes
+ Paths
+ precision
+ normal
+ regex
+ \~?/?([[:letter:][:number:]._-]+/+)+[[:letter:][:number:]._-]+/?
+
+
+ notes
+ Quoted string
+ precision
+ normal
+ regex
+ @?"(?:[^"\\]|\\.)*"
+
+
+ notes
+ Java/Python include paths
+ precision
+ normal
+ regex
+ ([[:letter:][:number:]._]+\.)+[[:letter:][:number:]._]+
+
+
+ notes
+ mailto URL
+ precision
+ normal
+ regex
+ \bmailto:([a-z0-9A-Z_]+@)?([a-zA-Z0-9\-]+\.)*[a-zA-Z0-9\-]+\b
+
+
+ notes
+ Obj-C selector
+ precision
+ high
+ regex
+ @selector\([^)]+\)
+
+
+ notes
+ email address
+ precision
+ high
+ regex
+ \b[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+\.[A-Za-z]{2,4}\b
+
+
+ notes
+ HTTP URL
+ precision
+ very_high
+ regex
+ https?://([a-z0-9A-Z]+(:[a-zA-Z0-9]+)?@)?[a-z0-9A-Z]+(\.[a-z0-9A-Z]+)*((:[0-9]+)?)(/[a-zA-Z0-9;/\.\-_+%~?&@=#\(\)]*)?
+
+
+ notes
+ SSH URL
+ precision
+ very_high
+ regex
+ \bssh:([a-z0-9A-Z_]+@)?([a-zA-Z0-9\-]+\.)*[a-zA-Z0-9\-]+\b
+
+
+ notes
+ Telnet URL
+ precision
+ very_high
+ regex
+ \btelnet:([a-z0-9A-Z_]+@)?([a-zA-Z0-9\-]+\.)*[a-zA-Z0-9\-]+\b
+
+
+ Sync Title
+
+ Tags
+
+ Terminal Type
+ xterm-256color
+ Transparency
+ 0.0
+ Triggers
+
+ Unlimited Scrollback
+
+ Use Bold Font
+
+ Use Bright Bold
+
+ Vertical Spacing
+ 1.057076096534729
+ Visual Bell
+
+ Window Type
+ 0
+ Working Directory
+ /Users/chez/Code
+
NoSyncNeverRemindPrefsChangesCopy
@@ -3200,7 +3917,7 @@
SUHasLaunchedBefore
SULastCheckTime
- 2013-05-15T22:02:18Z
+ 2013-06-13T05:55:25Z
SavePasteHistory
Show Toolbelt
@@ -3220,7 +3937,7 @@
SwitchWindowModifier
6
TabViewType
- 1
+ 0
ThreeFingerEmulates
TmuxDashboardLimit
diff --git a/osx b/osx
new file mode 100755
index 0000000..5444d6d
--- /dev/null
+++ b/osx
@@ -0,0 +1,593 @@
+#!/usr/bin/env bash
+
+# ~/.osx — http://mths.be/osx
+
+# Ask for the administrator password upfront
+sudo -v
+
+# Keep-alive: update existing `sudo` time stamp until `.osx` has finished
+while true; do sudo -n true; sleep 60; kill -0 "$$" || exit; done 2>/dev/null &
+
+###############################################################################
+# General UI/UX #
+###############################################################################
+
+# Set computer name (as done via System Preferences → Sharing)
+sudo scutil --set ComputerName "Quesadilla"
+sudo scutil --set HostName "Quesadilla"
+sudo scutil --set LocalHostName "Quesadilla"
+sudo defaults write
+/Library/Preferences/SystemConfiguration/com.apple.smb.server NetBIOSName -string "Quesadilla"
+
+# Set standby delay to 24 hours (default is 1 hour)
+sudo pmset -a standbydelay 86400
+
+# Menu bar: disable transparency
+defaults write NSGlobalDomain AppleEnableMenuBarTransparency -bool false
+
+# Menu bar: show remaining battery time (on pre-10.8); hide percentage
+defaults write com.apple.menuextra.battery ShowPercent -string "NO"
+defaults write com.apple.menuextra.battery ShowTime -string "YES"
+
+# Menu bar: hide the useless Time Machine and Volume icons
+defaults write com.apple.systemuiserver menuExtras -array "/System/Library/CoreServices/Menu Extras/Bluetooth.menu" "/System/Library/CoreServices/Menu Extras/AirPort.menu" "/System/Library/CoreServices/Menu Extras/Battery.menu" "/System/Library/CoreServices/Menu Extras/Clock.menu"
+
+# Set highlight color to green
+defaults write NSGlobalDomain AppleHighlightColor -string '0.764700 0.976500 0.568600'
+
+# Set sidebar icon size to medium
+defaults write NSGlobalDomain NSTableViewDefaultSizeMode -int 2
+
+# Always show scrollbars
+defaults write NSGlobalDomain AppleShowScrollBars -string "WhenScrolling"
+# Possible values: `WhenScrolling`, `Automatic` and `Always`
+
+# Disable smooth scrolling
+# (Uncomment if you’re on an older Mac that messes up the animation)
+# defaults write NSGlobalDomain NSScrollAnimationEnabled -bool false
+
+# Disable opening and closing window animations
+defaults write NSGlobalDomain NSAutomaticWindowAnimationsEnabled -bool false
+
+# Increase window resize speed for Cocoa applications
+defaults write NSGlobalDomain NSWindowResizeTime -float 0.001
+
+# Expand save panel by default
+defaults write NSGlobalDomain NSNavPanelExpandedStateForSaveMode -bool true
+
+# Expand print panel by default
+defaults write NSGlobalDomain PMPrintingExpandedStateForPrint -bool true
+
+# Save to disk (not to iCloud) by default
+defaults write NSGlobalDomain NSDocumentSaveNewDocumentsToCloud -bool false
+
+# Automatically quit printer app once the print jobs complete
+defaults write com.apple.print.PrintingPrefs "Quit When Finished" -bool true
+
+# Disable the “Are you sure you want to open this application?” dialog
+defaults write com.apple.LaunchServices LSQuarantine -bool false
+
+# Display ASCII control characters using caret notation in standard text views
+# Try e.g. `cd /tmp; unidecode "\x{0000}" > cc.txt; open -e cc.txt`
+defaults write NSGlobalDomain NSTextShowsControlCharacters -bool true
+
+# Disable Resume system-wide
+defaults write NSGlobalDomain NSQuitAlwaysKeepsWindows -bool false
+
+# Disable automatic termination of inactive apps
+defaults write NSGlobalDomain NSDisableAutomaticTermination -bool true
+
+# Disable the crash reporter
+# defaults write com.apple.CrashReporter DialogType -string "none"
+
+# Set Help Viewer windows to non-floating mode
+defaults write com.apple.helpviewer DevMode -bool true
+
+# Fix for the ancient UTF-8 bug in QuickLook (http://mths.be/bbo)
+# Commented out, as this is known to cause problems when saving files in
+# Adobe Illustrator CS5 :(
+# echo "0x08000100:0" > ~/.CFUserTextEncoding
+
+# Reveal IP address, hostname, OS version, etc. when clicking the clock
+# in the login window
+sudo defaults write /Library/Preferences/com.apple.loginwindow AdminHostInfo HostName
+
+# Restart automatically if the computer freezes
+systemsetup -setrestartfreeze on
+
+# Never go into computer sleep mode
+systemsetup -setcomputersleep Off > /dev/null
+
+# Check for software updates daily, not just once per week
+defaults write com.apple.SoftwareUpdate ScheduleFrequency -int 1
+
+# Disable Notification Center and remove the menu bar icon
+launchctl unload -w /System/Library/LaunchAgents/com.apple.notificationcenterui.plist
+
+###############################################################################
+# Trackpad, mouse, keyboard, Bluetooth accessories, and input #
+###############################################################################
+
+# Trackpad: disable tap to click for this user and for the login screen
+defaults write com.apple.driver.AppleBluetoothMultitouch.trackpad Clicking -bool false
+defaults -currentHost write NSGlobalDomain com.apple.mouse.tapBehavior -int 0
+defaults write NSGlobalDomain com.apple.mouse.tapBehavior -int 0
+
+# Trackpad: map bottom right corner to right-click
+defaults write com.apple.driver.AppleBluetoothMultitouch.trackpad TrackpadCornerSecondaryClick -int 2
+defaults write com.apple.driver.AppleBluetoothMultitouch.trackpad TrackpadRightClick -bool true
+defaults -currentHost write NSGlobalDomain com.apple.trackpad.trackpadCornerClickBehavior -int 1
+defaults -currentHost write NSGlobalDomain com.apple.trackpad.enableSecondaryClick -bool true
+
+# Trackpad: swipe between pages with three fingers
+defaults write NSGlobalDomain AppleEnableSwipeNavigateWithScrolls -bool true
+defaults -currentHost write NSGlobalDomain com.apple.trackpad.threeFingerHorizSwipeGesture -int 1
+defaults write com.apple.driver.AppleBluetoothMultitouch.trackpad TrackpadThreeFingerHorizSwipeGesture -int 1
+
+# Disable “natural” (Lion-style) scrolling
+# defaults write NSGlobalDomain com.apple.swipescrolldirection -bool false
+
+# Increase sound quality for Bluetooth headphones/headsets
+defaults write com.apple.BluetoothAudioAgent "Apple Bitpool Min (editable)" -int 40
+
+# Enable full keyboard access for all controls
+# (e.g. enable Tab in modal dialogs)
+defaults write NSGlobalDomain AppleKeyboardUIMode -int 3
+
+# Enable access for assistive devices
+echo -n 'a' | sudo tee /private/var/db/.AccessibilityAPIEnabled > /dev/null 2>&1
+sudo chmod 444 /private/var/db/.AccessibilityAPIEnabled
+# TODO: avoid GUI password prompt somehow (http://apple.stackexchange.com/q/60476/4408)
+#sudo osascript -e 'tell application "System Events" to set UI elements enabled to true'
+
+# Use scroll gesture with the Ctrl (^) modifier key to zoom
+defaults write com.apple.universalaccess closeViewScrollWheelToggle -bool true
+defaults write com.apple.universalaccess HIDScrollZoomModifierMask -int 262144
+# Follow the keyboard focus while zoomed in
+defaults write com.apple.universalaccess closeViewZoomFollowsFocus -bool true
+
+# Disable press-and-hold for keys in favor of key repeat
+defaults write NSGlobalDomain ApplePressAndHoldEnabled -bool false
+
+# Set a small before-repeat delay
+defaults write NSGlobalDomain InitialKeyRepeat -int 2
+
+# Set a blazingly fast keyboard repeat rate
+defaults write NSGlobalDomain KeyRepeat -int 0
+
+# Automatically illuminate built-in MacBook keyboard in low light
+defaults write com.apple.BezelServices kDim -bool true
+# Turn off keyboard illumination when computer is not used for 5 minutes
+defaults write com.apple.BezelServices kDimTime -int 300
+
+# Set language and text formats
+# Note: if you’re in the US, replace `EUR` with `USD`, `Centimeters` with
+# `Inches`, `en_GB` with `en_US`, and `true` with `false`.
+defaults write NSGlobalDomain AppleLanguages -array "en" "ru"
+defaults write NSGlobalDomain AppleLocale -string "en_US@currency=USD"
+defaults write NSGlobalDomain AppleMeasurementUnits -string "Centimeters"
+defaults write NSGlobalDomain AppleMetricUnits -bool true
+
+# Set the timezone; see `systemsetup -listtimezones` for other values
+systemsetup -settimezone "Asia/Bangkok" > /dev/null
+
+# Disable auto-correct
+defaults write NSGlobalDomain NSAutomaticSpellingCorrectionEnabled -bool false
+
+###############################################################################
+# Screen #
+###############################################################################
+
+# Require password immediately after sleep or screen saver begins
+defaults write com.apple.screensaver askForPassword -int 1
+defaults write com.apple.screensaver askForPasswordDelay -int 0
+
+# Save screenshots to the desktop
+defaults write com.apple.screencapture location -string "$HOME/Desktop"
+
+# Save screenshots in PNG format (other options: BMP, GIF, JPG, PDF, TIFF)
+defaults write com.apple.screencapture type -string "png"
+
+# Disable shadow in screenshots
+defaults write com.apple.screencapture disable-shadow -bool true
+
+# Enable subpixel font rendering on non-Apple LCDs
+defaults write NSGlobalDomain AppleFontSmoothing -int 2
+
+# Enable HiDPI display modes (requires restart)
+sudo defaults write /Library/Preferences/com.apple.windowserver DisplayResolutionEnabled -bool true
+
+###############################################################################
+# Finder #
+###############################################################################
+
+# Finder: allow quitting via ⌘ + Q; doing so will also hide desktop icons
+defaults write com.apple.finder QuitMenuItem -bool true
+
+# Finder: disable window animations and Get Info animations
+defaults write com.apple.finder DisableAllAnimations -bool true
+
+# Show icons for hard drives, servers, and removable media on the desktop
+defaults write com.apple.finder ShowExternalHardDrivesOnDesktop -bool true
+defaults write com.apple.finder ShowHardDrivesOnDesktop -bool true
+defaults write com.apple.finder ShowMountedServersOnDesktop -bool true
+defaults write com.apple.finder ShowRemovableMediaOnDesktop -bool true
+
+# Finder: show hidden files by default
+defaults write com.apple.finder AppleShowAllFiles -bool false
+
+# Finder: show all filename extensions
+defaults write NSGlobalDomain AppleShowAllExtensions -bool true
+
+# Finder: show status bar
+defaults write com.apple.finder ShowStatusBar -bool true
+
+# Finder: show path bar
+defaults write com.apple.finder ShowPathbar -bool true
+
+# Finder: allow text selection in Quick Look
+defaults write com.apple.finder QLEnableTextSelection -bool true
+
+# Display full POSIX path as Finder window title
+# defaults write com.apple.finder _FXShowPosixPathInTitle -bool true
+
+# When performing a search, search the current folder by default
+defaults write com.apple.finder FXDefaultSearchScope -string "SCcf"
+
+# Disable the warning when changing a file extension
+defaults write com.apple.finder FXEnableExtensionChangeWarning -bool false
+
+# Enable spring loading for directories
+defaults write NSGlobalDomain com.apple.springing.enabled -bool true
+
+# Remove the spring loading delay for directories
+defaults write NSGlobalDomain com.apple.springing.delay -float 0
+
+# Avoid creating .DS_Store files on network volumes
+defaults write com.apple.desktopservices DSDontWriteNetworkStores -bool true
+
+# Disable disk image verification
+defaults write com.apple.frameworks.diskimages skip-verify -bool true
+defaults write com.apple.frameworks.diskimages skip-verify-locked -bool true
+defaults write com.apple.frameworks.diskimages skip-verify-remote -bool true
+
+# Automatically open a new Finder window when a volume is mounted
+defaults write com.apple.frameworks.diskimages auto-open-ro-root -bool true
+defaults write com.apple.frameworks.diskimages auto-open-rw-root -bool true
+defaults write com.apple.finder OpenWindowForNewRemovableDisk -bool true
+
+# Show item info near icons on the desktop and in other icon views
+/usr/libexec/PlistBuddy -c "Set :DesktopViewSettings:IconViewSettings:showItemInfo true" ~/Library/Preferences/com.apple.finder.plist
+/usr/libexec/PlistBuddy -c "Set :FK_StandardViewSettings:IconViewSettings:showItemInfo true" ~/Library/Preferences/com.apple.finder.plist
+/usr/libexec/PlistBuddy -c "Set :StandardViewSettings:IconViewSettings:showItemInfo true" ~/Library/Preferences/com.apple.finder.plist
+
+# Show item info to the right of the icons on the desktop
+/usr/libexec/PlistBuddy -c "Set DesktopViewSettings:IconViewSettings:labelOnBottom false" ~/Library/Preferences/com.apple.finder.plist
+
+# Enable snap-to-grid for icons on the desktop and in other icon views
+/usr/libexec/PlistBuddy -c "Set :DesktopViewSettings:IconViewSettings:arrangeBy grid" ~/Library/Preferences/com.apple.finder.plist
+/usr/libexec/PlistBuddy -c "Set :FK_StandardViewSettings:IconViewSettings:arrangeBy grid" ~/Library/Preferences/com.apple.finder.plist
+/usr/libexec/PlistBuddy -c "Set :StandardViewSettings:IconViewSettings:arrangeBy grid" ~/Library/Preferences/com.apple.finder.plist
+
+# Increase grid spacing for icons on the desktop and in other icon views
+/usr/libexec/PlistBuddy -c "Set :DesktopViewSettings:IconViewSettings:gridSpacing 100" ~/Library/Preferences/com.apple.finder.plist
+/usr/libexec/PlistBuddy -c "Set :FK_StandardViewSettings:IconViewSettings:gridSpacing 100" ~/Library/Preferences/com.apple.finder.plist
+/usr/libexec/PlistBuddy -c "Set :StandardViewSettings:IconViewSettings:gridSpacing 100" ~/Library/Preferences/com.apple.finder.plist
+
+# Increase the size of icons on the desktop and in other icon views
+/usr/libexec/PlistBuddy -c "Set :DesktopViewSettings:IconViewSettings:iconSize 80" ~/Library/Preferences/com.apple.finder.plist
+/usr/libexec/PlistBuddy -c "Set :FK_StandardViewSettings:IconViewSettings:iconSize 80" ~/Library/Preferences/com.apple.finder.plist
+/usr/libexec/PlistBuddy -c "Set :StandardViewSettings:IconViewSettings:iconSize 80" ~/Library/Preferences/com.apple.finder.plist
+
+# Use list view in all Finder windows by default
+# Four-letter codes for the other view modes: `icnv`, `clmv`, `Flwv`
+defaults write com.apple.finder FXPreferredViewStyle -string "Nlsv"
+
+# Disable the warning before emptying the Trash
+defaults write com.apple.finder WarnOnEmptyTrash -bool false
+
+# Empty Trash securely by default
+defaults write com.apple.finder EmptyTrashSecurely -bool true
+
+# Enable AirDrop over Ethernet and on unsupported Macs running Lion
+defaults write com.apple.NetworkBrowser BrowseAllInterfaces -bool true
+
+# Enable the MacBook Air SuperDrive on any Mac
+sudo nvram boot-args="mbasd=1"
+
+# Show the ~/Library folder
+chflags nohidden ~/Library
+
+# Remove Dropbox’s green checkmark icons in Finder
+file=/Applications/Dropbox.app/Contents/Resources/emblem-dropbox-uptodate.icns
+[ -e "$file" ] && mv -f "$file" "$file.bak"
+
+###############################################################################
+# Dock, Dashboard, and hot corners #
+###############################################################################
+
+# Enable highlight hover effect for the grid view of a stack (Dock)
+defaults write com.apple.dock mouse-over-hilite-stack -bool true
+
+# Set the icon size of Dock items to 36 pixels
+defaults write com.apple.dock tilesize -int 36
+
+# Enable spring loading for all Dock items
+defaults write com.apple.dock enable-spring-load-actions-on-all-items -bool true
+
+# Show indicator lights for open applications in the Dock
+defaults write com.apple.dock show-process-indicators -bool true
+
+# Wipe all (default) app icons from the Dock
+# This is only really useful when setting up a new Mac, or if you don’t use
+# the Dock to launch apps.
+#defaults write com.apple.dock persistent-apps -array
+
+# Don’t animate opening applications from the Dock
+defaults write com.apple.dock launchanim -bool false
+
+# Speed up Mission Control animations
+defaults write com.apple.dock expose-animation-duration -float 0.1
+
+# Don’t group windows by application in Mission Control
+# (i.e. use the old Exposé behavior instead)
+defaults write com.apple.dock expose-group-by-app -bool false
+
+# Disable Dashboard
+defaults write com.apple.dashboard mcx-disabled -bool true
+
+# Don’t show Dashboard as a Space
+defaults write com.apple.dock dashboard-in-overlay -bool true
+
+# Don’t automatically rearrange Spaces based on most recent use
+defaults write com.apple.dock mru-spaces -bool false
+
+# Remove the auto-hiding Dock delay
+defaults write com.apple.dock autohide-delay -float 0
+# Remove the animation when hiding/showing the Dock
+defaults write com.apple.dock autohide-time-modifier -float 0
+
+# Enable the 2D Dock
+# defaults write com.apple.dock no-glass -bool true
+
+# Automatically hide and show the Dock
+defaults write com.apple.dock autohide -bool true
+
+# Make Dock icons of hidden applications translucent
+defaults write com.apple.dock showhidden -bool true
+
+# Reset Launchpad
+find ~/Library/Application\ Support/Dock -name "*.db" -maxdepth 1 -delete
+
+# Add iOS Simulator to Launchpad
+ln -s /Applications/Xcode.app/Contents/Applications/iPhone\ Simulator.app /Applications/iOS\ Simulator.app
+
+# Add a spacer to the left side of the Dock (where the applications are)
+# defaults write com.apple.dock persistent-apps -array-add '{tile-data={}; tile-type="spacer-tile";}'
+# Add a spacer to the right side of the Dock (where the Trash is)
+# defaults write com.apple.dock persistent-others -array-add '{tile-data={}; tile-type="spacer-tile";}'
+
+# Hot corners
+# Possible values:
+# 0: no-op
+# 2: Mission Control
+# 3: Show application windows
+# 4: Desktop
+# 5: Start screen saver
+# 6: Disable screen saver
+# 7: Dashboard
+# 10: Put display to sleep
+# 11: Launchpad
+# 12: Notification Center
+# Top left screen corner → Mission Control
+# defaults write com.apple.dock wvous-tl-corner -int 2
+# defaults write com.apple.dock wvous-tl-modifier -int 0
+# Top right screen corner → Desktop
+# defaults write com.apple.dock wvous-tr-corner -int 4
+# defaults write com.apple.dock wvous-tr-modifier -int 0
+# Bottom left screen corner → Start screen saver
+# defaults write com.apple.dock wvous-bl-corner -int 5
+# defaults write com.apple.dock wvous-bl-modifier -int 0
+
+###############################################################################
+# Safari & WebKit #
+###############################################################################
+
+# Set Safari’s home page to `about:blank` for faster loading
+defaults write com.apple.Safari HomePage -string "about:blank"
+
+# Prevent Safari from opening ‘safe’ files automatically after downloading
+defaults write com.apple.Safari AutoOpenSafeDownloads -bool false
+
+# Allow hitting the Backspace key to go to the previous page in history
+defaults write com.apple.Safari com.apple.Safari.ContentPageGroupIdentifier.WebKit2BackspaceKeyNavigationEnabled -bool true
+
+# Hide Safari’s bookmarks bar by default
+defaults write com.apple.Safari ShowFavoritesBar -bool false
+
+# Disable Safari’s thumbnail cache for History and Top Sites
+defaults write com.apple.Safari DebugSnapshotsUpdatePolicy -int 2
+
+# Enable Safari’s debug menu
+defaults write com.apple.Safari IncludeInternalDebugMenu -bool true
+
+# Make Safari’s search banners default to Contains instead of Starts With
+defaults write com.apple.Safari FindOnPageMatchesWordStartsOnly -bool false
+
+# Remove useless icons from Safari’s bookmarks bar
+defaults write com.apple.Safari ProxiesInBookmarksBar "()"
+
+# Enable the Develop menu and the Web Inspector in Safari
+defaults write com.apple.Safari IncludeDevelopMenu -bool true
+defaults write com.apple.Safari WebKitDeveloperExtrasEnabledPreferenceKey -bool true
+defaults write com.apple.Safari com.apple.Safari.ContentPageGroupIdentifier.WebKit2DeveloperExtrasEnabled -bool true
+
+# Add a context menu item for showing the Web Inspector in web views
+defaults write NSGlobalDomain WebKitDeveloperExtras -bool true
+
+###############################################################################
+# iTunes (pre-iTunes 11 only) #
+###############################################################################
+
+# Disable the iTunes store link arrows
+defaults write com.apple.iTunes show-store-link-arrows -bool false
+
+# Disable the Genius sidebar in iTunes
+defaults write com.apple.iTunes disableGeniusSidebar -bool true
+
+# Disable radio stations in iTunes
+# defaults write com.apple.iTunes disableRadio -bool true
+
+# Make ⌘ + F focus the search input in iTunes
+# To use these commands in another language, browse iTunes’s package contents,
+# open `Contents/Resources/your-language.lproj/Localizable.strings`, and look
+# for `kHiddenMenuItemTargetSearch`.
+defaults write com.apple.iTunes NSUserKeyEquivalents -dict-add "Target Search Field" "@F"
+
+###############################################################################
+# Mail #
+###############################################################################
+
+# Disable send and reply animations in Mail.app
+defaults write com.apple.mail DisableReplyAnimations -bool true
+defaults write com.apple.mail DisableSendAnimations -bool true
+
+# Copy email addresses as `foo@example.com` instead of `Foo Bar ` in Mail.app
+defaults write com.apple.mail AddressesIncludeNameOnPasteboard -bool false
+
+# Add the keyboard shortcut ⌘ + Enter to send an email in Mail.app
+defaults write com.apple.mail NSUserKeyEquivalents -dict-add "Send" "@\\U21a9"
+
+###############################################################################
+# Terminal #
+###############################################################################
+
+# Only use UTF-8 in Terminal.app
+defaults write com.apple.terminal StringEncodings -array 4
+
+# Use a modified version of the Pro theme by default in Terminal.app
+# open "$HOME/init/Mathias.terminal"
+# sleep 1 # Wait a bit to make sure the theme is loaded
+# defaults write com.apple.terminal "Default Window Settings" -string "Mathias"
+# defaults write com.apple.terminal "Startup Window Settings" -string "Mathias"
+
+# Enable “focus follows mouse” for Terminal.app and all X11 apps
+# i.e. hover over a window and start typing in it without clicking first
+# defaults write com.apple.terminal FocusFollowsMouse -bool true
+# defaults write org.x.X11 wm_ffm -bool true
+
+###############################################################################
+# Time Machine #
+###############################################################################
+
+# Prevent Time Machine from prompting to use new hard drives as backup volume
+defaults write com.apple.TimeMachine DoNotOfferNewDisksForBackup -bool true
+
+# Disable local Time Machine backups
+hash tmutil &> /dev/null && sudo tmutil disablelocal
+
+###############################################################################
+# Address Book, Dashboard, iCal, TextEdit, and Disk Utility #
+###############################################################################
+
+# Enable the debug menu in Address Book
+defaults write com.apple.addressbook ABShowDebugMenu -bool true
+
+# Enable Dashboard dev mode (allows keeping widgets on the desktop)
+defaults write com.apple.dashboard devmode -bool true
+
+# Enable the debug menu in iCal (pre-10.8)
+# defaults write com.apple.iCal IncludeDebugMenu -bool true
+
+# Use plain text mode for new TextEdit documents
+defaults write com.apple.TextEdit RichText -int 0
+# Open and save files as UTF-8 in TextEdit
+defaults write com.apple.TextEdit PlainTextEncoding -int 4
+defaults write com.apple.TextEdit PlainTextEncodingForWrite -int 4
+
+# Enable the debug menu in Disk Utility
+defaults write com.apple.DiskUtility DUDebugMenuEnabled -bool true
+defaults write com.apple.DiskUtility advanced-image-options -bool true
+
+###############################################################################
+# Mac App Store #
+###############################################################################
+
+# Enable the WebKit Developer Tools in the Mac App Store
+defaults write com.apple.appstore WebKitDeveloperExtras -bool true
+
+# Enable Debug Menu in the Mac App Store
+defaults write com.apple.appstore ShowDebugMenu -bool true
+
+###############################################################################
+# Google Chrome & Google Chrome Canary #
+###############################################################################
+
+# Allow installing user scripts via GitHub or Userscripts.org
+defaults write com.google.Chrome ExtensionInstallSources -array "https://*.github.com/*" "http://userscripts.org/*"
+defaults write com.google.Chrome.canary ExtensionInstallSources -array "https://*.github.com/*" "http://userscripts.org/*"
+
+###############################################################################
+# SizeUp.app #
+###############################################################################
+
+# Start SizeUp at login
+# defaults write com.irradiatedsoftware.SizeUp StartAtLogin -bool true
+
+# Don’t show the preferences window on next start
+# defaults write com.irradiatedsoftware.SizeUp ShowPrefsOnNextStart -bool false
+
+###############################################################################
+# Transmission.app #
+###############################################################################
+
+# Use `~/Documents/Torrents` to store incomplete downloads
+defaults write org.m0k.transmission UseIncompleteDownloadFolder -bool true
+defaults write org.m0k.transmission IncompleteDownloadFolder -string "${HOME}/Documents/Torrents"
+
+# Don’t prompt for confirmation before downloading
+defaults write org.m0k.transmission DownloadAsk -bool false
+
+# Trash original torrent files
+defaults write org.m0k.transmission DeleteOriginalTorrent -bool true
+
+# Hide the donate message
+defaults write org.m0k.transmission WarningDonate -bool false
+# Hide the legal disclaimer
+defaults write org.m0k.transmission WarningLegal -bool false
+
+###############################################################################
+# Twitter.app #
+###############################################################################
+
+# Disable smart quotes as it’s annoying for code tweets
+defaults write com.twitter.twitter-mac AutomaticQuoteSubstitutionEnabled -bool false
+
+# Show the app window when clicking the menu icon
+defaults write com.twitter.twitter-mac MenuItemBehavior -int 1
+
+# Enable the hidden ‘Develop’ menu
+defaults write com.twitter.twitter-mac ShowDevelopMenu -bool true
+
+# Open links in the background
+defaults write com.twitter.twitter-mac openLinksInBackground -bool true
+
+# Allow closing the ‘new tweet’ window by pressing `Esc`
+defaults write com.twitter.twitter-mac ESCClosesComposeWindow -bool true
+
+# Show full names rather than Twitter handles
+defaults write com.twitter.twitter-mac ShowFullNames -bool true
+
+# Hide the app in the background if it’s not the front-most window
+defaults write com.twitter.twitter-mac HideInBackground -bool true
+
+###############################################################################
+# Kill affected applications #
+###############################################################################
+
+for app in "Address Book" "Calendar" "Contacts" "Dashboard" "Dock" "Finder" \
+ "Mail" "Safari" "SizeUp" "SystemUIServer" "Terminal" "Transmission" \
+ "Twitter" "iCal" "iTunes"; do
+ killall "$app" > /dev/null 2>&1
+done
+echo "Done. Note that some of these changes require a logout/restart to take effect."
diff --git a/setup.sh b/setup.sh
index f8e3f44..19b9fec 100755
--- a/setup.sh
+++ b/setup.sh
@@ -1,3 +1,6 @@
+# OSX
+ln -s ~/.dotfiles/osx ~/.osx
+
# Git
ln -s ~/.dotfiles/git/gitconfig ~/.gitconfig
ln -s ~/.dotfiles/git/gitignore ~/.gitignore
diff --git a/vim/vimrc b/vim/vimrc
index 9c6c4d8..a8a4f96 100644
--- a/vim/vimrc
+++ b/vim/vimrc
@@ -9,6 +9,16 @@ set history=1000
set completeopt=menuone,preview
set number
+" Disable scrollbars
+set guioptions-=L
+set guioptions-=r
+
+" Index ignores
+set wildignore+=*/tmp/*
+
+" Set font family and size
+set gfn=Source\ Code\ Pro:h14
+
" #######################
" ### Fuck you, hjkl! ###
" #######################
@@ -18,11 +28,11 @@ noremap l k
noremap k j
noremap j h
-for prefix in ['i', 'n', 'v']
- for key in ['', '', '', '']
- exe prefix . "noremap " . key . " "
- endfor
-endfor
+" for prefix in ['i', 'n', 'v']
+" for key in ['', '', '', '']
+" exe prefix . "noremap " . key . " "
+" endfor
+" endfor
" ####################
" ### Vundle setup ###